package es.unican.docencia.y2011.eda.stacks.polishNotation;

import java.util.Arrays;

/**
 * Clase que sirve para ejecutar la aplicacion que muestra
 * el funcionamiento de una pila para el calculo del valor 
 * de una expresin en notacion polaca inversa o postfija 
 * @author Pablo Sanchez (p.sanchez@unican.es)
 *         http://personales.unican.es/sanchezbp
 */
public class Runner {

	/**
	 * Punto de entrada a la aplicacion
	 * @param args Argumentos que se pasan por la linea de 
	 * 			   comandos. Son simplemente ignorados.
	 */
	public static void main (String [] args) {
		
		// Expresion en notacion polaca inversa
		String [] expresion = {"7", "3", "+", "2", "*"};
		
		// Mostramos expresion y calculamos el resultado
		System.out.println("La expresion " + Arrays.toString(expresion) + " es igual a " + Calculadora.calculaValor(expresion));
		
	} // main
	
} // Runner
